﻿
/*
    Traite les adapatations de taille des éléments
    notamment des liste déroulante
    dans les div formées avec les classes bootstrap
*/
div.sd-adapt-flexing{
    display: flex;
}

div.sd-adapt-flexing > button.ui-multiselect,
div.sd-adapt-flexing > select.sd-adapting-flexer{
    flex-grow: 1;
    margin-left : 10px;
}

@media (min-width: 768px) {
    /*
        Le style dans la balise "style" html est rapatriée dans le css
        pour permettre la portabilité pour le mode SD
    */
    .min-width-366,
    textarea.min-width-366,
    input[type="text"].min-width-366{
        min-width:366px;
    }

    div.float-right {
        float: right;
    }
}

@media (max-width: 767px) {
    div.sd-editor-label{
        width:100%;
        text-align:center;
    }
    
    div.sd-div-editor-field{
        width: 100%;
        text-align: center;
    }

    div.sd-overflow-container,
    fieldset.sd-overflow-container{
        overflow: auto;
    }

    #main fieldset.sd-fieldset,
    fieldset.sd-fieldset{
        margin-left: 0;
        margin-right: 0;
    }

    fieldset.sd-max-width{
        width: 90%;
    }

    fieldset.sd-reduce-form form{
        width: 0;
    }

    fieldset.sd-fieldset div.sd-div-editor-field input.sd-viewport-width-70,
    fieldset.sd-fieldset div.sd-div-editor-field textarea.sd-viewport-width-70,
    fieldset.sd-fieldset div.sd-div-editor-field input.datepicker,
    fieldset.sd-fieldset div.sd-div-editor-field select{
        width: 70vw;
    }

    textarea.sd-max-width-70{
        max-width: 70vw;
    }

    .sd-clear-dimensions,
    #button.sd-clear-dimensions{
        margin:0;
        width:initial;
        padding: 0;
    }
}
